<?php
$title = 'Мои товары';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['shop'] == 1 && SellingAllowed($user)) {

    echo '<div class="title">Мои товары ('.$count_user_shop.')</div>
    <div class="forlink"><a href="/shop/add" class="links"><img src="/img/add.png" alt="add">Добавить товар</a></div>';

    if ($count_user_shop == 0) {
        echo '<div class="menu">Товаров нет!</div>';
    } else {

        $page = new Pagination($count_user_shop, 10);

        $data = $connect->prepare("select * from `shop` where `seller` = :seller order by `id` desc limit :start, 10");
        $data->bindValue(':seller', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            echo linkShop($row);

        }

        $page->navigation();

    }

    echo '<div class="menu">
    Ссылка на ваш магазин:<br/>
    <input type="text" value="'.ROOT.'/shop/seller/'.$user['id'].'" />
    </div>';

    if ($sys['modules']['wmid_sell'] == 1 && (!$user['wmid'] || !$user['wmr']) && $sys['payment']['wmr'] && $sys['payment']['hash'])
        echo '<div class="menu"><div class="danger"><a href="/settings/wmid">Подтвердите реквизиты</a>, чтобы была возможность добавлять товары!</div></div>';

    echo '<div class="forlink"><a href="/shop" class="links"><img src="/img/shop.png" alt="">Магазин скриптов</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>