<?php
$title = 'Мои рефералы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['system']['ref_cash'] > 0) {

    switch ($act) {

        case 'top':

            echo '<div class="title">Рейтинг по рефералам ('.$ref_top.')</div>';

            if ($ref_top == 0) {
                echo '<div class="menu">Рейтинг пуст.</div>';
            } else {

                $page = new Pagination($ref_top, 10);

                $data = $connect->prepare("select *, count(*) as `count` from `users` where `ref` != '0' group by `ref` order by count(*) desc limit :start, 10");
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    echo '<div class="user-forlink">'.profileLink($row['ref']).'<div class="chi">Рефералов: '.$row['count'].'</div></div>';

                }

                $page->navigation();

            }

            echo '<div class="forlink"><a href="/refer" class="links"><img src="/img/ref.png" alt="ref">Мои рефералы</a></div>';

            break;

        default:

            echo '<div class="title">Мои рефералы ('.$count_ref.')</div>
            <div class="menu">Вы будете получать <b>'.$sys['system']['ref_cash'].'%</b> от каждого пополнения баланса вашими рефералами.</div>
            <div class="menu">
            Реферальная ссылка:<br/><input type="text" value="'.ROOT.'/?ref='.$user['id'].'">
            </div>';

            if ($count_ref == 0) {
                echo '<div class="menu">Рефералов нет!</div>';
            } else {

                $page = new Pagination($count_ref, 10);

                $data = $connect->prepare("select * from `users` where `ref` = :ref order by `datereg` desc limit :start, 10");
                $data->bindValue(':ref', $user['id'], PDO::PARAM_INT);
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    echo '<div class="menu">
                    Пользователь: '. profileLink($row).'<br/>
                    Баланс: '.rub($row['money']).'<br/>
                    Дата регистрации: '.daytime($row['datereg']).'<br/>
                    </div>';

                }

                $page->navigation();

            }

            echo '<div class="forlink"><a href="/refer/top" class="links"><img src="/img/stars.png" alt="stars">Рейтинг по рефералам</a></div>';

    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>